Skip to main content
GET
/
calendars
/
appointments
/
{appointmentId}
/
notes
Get Notes
curl --request GET \
  --url https://services.leadconnectorhq.com/calendars/appointments/{appointmentId}/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Version: <version>'
{
  "notes": [
    {
      "id": "HGPcayliwcdoUFzvbTok",
      "body": "lorem ipsum",
      "userId": "TUcmRxWrjqzJS8EjkxNK",
      "dateAdded": "2021-07-08T12:02:11.285Z",
      "contactId": "TUcmRxWrjqzJS8EjkxNK",
      "createdBy": {
        "id": "TUcmRxWr",
        "name": "John Doe"
      }
    }
  ],
  "hasMore": true
}

Authorizations

Authorization
string
header
required

Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.

Headers

Version
enum<string>
required

API Version

Available options:
2021-04-15

Path Parameters

appointmentId
string
required

Appointment ID

Query Parameters

limit
number
required

Limit of notes to fetch

Required range: x <= 20
Example:

10

offset
number
required

Offset of notes to fetch

Required range: x >= 0
Example:

0

Response

Successful response

notes
object[]
hasMore
boolean
Example:

true

Last modified on March 4, 2026